# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define oname		ots
%define cvs_version	1_0
%define section		non-free

Name:		jts
Version:	1.0
Release:	6jpp
Epoch:		0
Summary:	Java Transaction Service
License:	Sun Binary Code License
Url:		http://java.sun.com/products/jts
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}%{cvs_version}.zip
Source1:        %{name}%{cvs_version}-spec.pdf
Source2:	%{name}.license
NoSource:	0
NoSource:       1
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.7.4
BuildRequires:	java-devel = 0:1.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JavaTM Transaction Service (JTS) specifies the implementation of a
Transaction Manager which supports the JavaTM Transaction API (JTA) 1.0
Specification at the high-level and implements the Java mapping of the
OMG Object Transaction Service (OTS) 1.1 Specification at the low-level.
JTS uses the standard CORBA ORB/TS interfaces and Internet Inter-ORB
Protocol (IIOP) for transaction context propagation between JTS
Transaction Managers.	
A JTS Transaction Manager provides transaction services to the parties
involved in distributed transactions: the application server, the
resource manager, the standalone transactional application, and the
Communication Resource Manager (CRM).	

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
cp %{SOURCE1} spec.pdf
cp %{SOURCE2} LICENSE
rm -rf classes/*
# fix files perms
chmod -R go=u+w *

%build
JAVA_HOME=%{_jvmdir}/java-1.5.0
pushd src
find . -name "*.java" > ../file.list
$JAVA_HOME/bin/javac -d ../classes @../file.list
popd
$JAVA_HOME/bin/jar cvf %{name}.jar -C classes .

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{oname}
install -m 644 *.idl $RPM_BUILD_ROOT%{_datadir}/%{oname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE spec.pdf
%{_javadir}/%{name}*.jar
%dir %{_datadir}/%{oname}
%{_datadir}/%{oname}/*.idl

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Jan 30 2008 Ralph Apel <r.apel at r-apel.de> 1.0-6jpp
- To JPP-5.0 non-free (no free source for these bits)

* Wed Sep 29 2004 Ralph Apel <r.apel at r-apel.de> 1.0-5jpp
- classes didn't contain .class files for some .java sources

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-4jpp
- For jpackage-utils 1.5

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp 
- section macro
- nosrc package
- bzipped additional sources
- fixed redudant javadoc files
- provided idl files
- one only jar for all classes

* Tue Jan 22 2002 Henri Gomez <hgomez@slib.fr> 1.0-1jpp
- Initial release
